### Method

# GtkSource CompletionContext get_bounds

#### Declaration [src]

    gboolean
    gtk_source_completion_context_get_bounds (
      GtkSourceCompletionContext* self,
      GtkTextIter* begin,
      GtkTextIter* end
    )

#### Description [src]

Gets the bounds for the completion, which is the beginning of the current word (taking break characters into account) to the current insertion cursor.

If `begin` is non-`NULL`, it will be set to the start position of the current word being completed.

If `end` is non-`NULL`, it will be set to the insertion cursor for the current word being completed.

#### Parameters

`begin`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`end`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the marks are still valid and `begin` or `end` was set.